import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provinceJahadGetRancherDetailsService = createAsyncThunk(
  "PROVINCE_JAHAD_GET_PRODUCT_INFO",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      `LiveStock/rancher/get_detail_rancher/`,
      {
        params: {
          herd_code: d.herd_code,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
